Summary:		Automated Password Generator for random password generation
Name:			apg

Version:		2.3.0b
Release:    1%{?dist}
License:		BSD-3-Clause
URL:			http://www.adel.nursat.kz/%{name}/

Source0:		http://www.adel.nursat.kz/%{name}/download/%{name}-%{version}.tar.gz
Source1:		apg.socket
Source2:		apg@.service
Patch0:			apg-2.3.0b-gen_rand_pass.patch
Patch1:                 apg-2.3.0b-null-crypt.patch

BuildRequires: systemd-units
BuildRequires: gcc
BuildRequires: make
Requires(post): grep
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
APG (Automated Password Generator) is the tool set for random password
generation. This standalone version generates some random words of
required type and prints them to standard output.

%prep
%setup -q

%patch -P 0 -p1 -b .gen_rand_pass
%patch -P 1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS" FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags} cliserv

make CFLAGS="$RPM_OPT_FLAGS" FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags} standalone

%install
install -D apg %{buildroot}%{_bindir}/apg
install -D apgbfm %{buildroot}%{_bindir}/apgbfm
install -D apgd %{buildroot}%{_sbindir}/apgd
install -D -m 644 doc/man/apg.1 %{buildroot}%{_mandir}/man1/apg.1
install -D -m 644 doc/man/apgbfm.1 %{buildroot}%{_mandir}/man1/apgbfm.1
install -D -m 644 doc/man/apgd.8 %{buildroot}%{_mandir}/man8/apgd.8
install -d -m 755 %{buildroot}%{_unitdir}

install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.socket
install -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}@.service

%post
/bin/grep ^pwdgen /etc/services >& /dev/null
if [ $? == 1 ]; then
    echo -e 'pwdgen\t\t129/tcp\t\t\t# PWDGEN service' >> /etc/services
fi
%systemd_post apg@.service

%preun
%systemd_preun apg@.service

%postun
%systemd_postun apg@.service

%files
%doc CHANGES COPYING README THANKS TODO doc/rfc*
%{_bindir}/apg
%{_bindir}/apgbfm
%{_sbindir}/apgd
%{_mandir}/man*/*
%{_unitdir}/%{name}@.service
%{_unitdir}/%{name}.socket

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0b-1
- initial build
